# Gimp.file_load_layer

    @accepts(Gimp.RunMode, Gimp.Image, Gio.File)
    @returns(Gimp.Layer)
    def file_load_layer(run_mode, image, file):
        # Python wrapper for gimp_file_load_layer()

Loads an image file as a layer for an existing image.

This procedure behaves like the file-load procedure but opens the specified image as a layer for an existing image. The returned layer needs to be added to the existing image with Gimp.Image.insert_layer.

Since 2.4

run_mode

  The run mode.

image

  Destination image.

file

  The file to load.

Returns